PATCH
https://api.examplary.ai/source-materials/{id}Updates the specified source material.
Path parameters
idstringrequired
Request body
namestring
The new name of the source material.
tagsarray string[]· max items: 20
Optional tags for the source material
metadataobject
Metadata to merge into the source material's existing metadata. Set a key to null to remove it.
Responses
400 — Validation Error
successbooleanrequired
Allowed values:false
errorarray any[]required
dataanyrequired
Requirements
User roles
This endpoint requires the teacher, admin, or owner role to be present.
OAuth scopes
This endpoint requires the source-materials:write scope to be present.